Name:     pisk
Version:  0.1.2
Release:  2%{?dist}
Summary:  Curses application allowing an unprivileged user to manage disks

License:  GPLv3
URL:      https://git.sr.ht/~fnux/pisk
Source0:  %{url}/archive/v%{version}.tar.gz

BuildArch: noarch
BuildRequires:  perl-generators perl-podlators
# perl-generators takes care of the perl dependencies
Requires:  dbus
Requires:  udisks2

%description
%{summary}.

%prep
%setup -q -n %{name}-v%{version}

%build
pod2man pisk > pisk.1

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 755 pisk %{buildroot}/%{_bindir}/pisk
install -p -m 644 pisk.1 %{buildroot}/%{_mandir}/man1/pisk.1

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/pisk
%{_mandir}/man1/pisk.1*

%changelog
* Mon Oct 21 2019 Timothée Floure <fnux@fedoraproject.org> - 0.1.2-2
- Fix UI error when after execution of system action (mount, swapon, etc.).

 Tue Sep 11 2018 Timothée Floure <fnux@fedoraproject.org> - 0.1.1-1
- Update to new upstream release.
- Ship LICENSE.txt file.

* Tue Sep 11 2018 Timothée Floure <fnux@fedoraproject.org> - 0.1.0-1
- Let there be package.
